<%@ page language="java" contentType="text/html; charset=UTF-8"
pageEncoding="UTF-8"%>

<%@page import="ru.curs.showcase.security.SecurityParamsFactory"%>   
<%@page import="ru.curs.showcase.runtime.UserDataUtils"%> 

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html>
<head>
<%
	String title = "Авторизация в КУРС: Showcase";
	if (UserDataUtils.getGeneralOptionalProp("login.title") != null) {
		title = UserDataUtils.getGeneralOptionalProp("login.title");
	}
%>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge"/>

	<title><%=title%></title>
	<link rel="shortcut icon" href="solutions/default/resources/favicon.ico" type="image/x-icon" />
	<link rel="icon" href="solutions/default/resources/favicon.ico" type="image/x-icon" />
	<link rel="stylesheet" href="resources/login_content/loginbootstrap.css" type="text/css" />
  <style type="text/css">
    body {
      background-image: url(resources/login_content/bg_edu.jpg);
      background-repeat: no-repeat;
      background-position: top center;
      background-size: cover;
      background-color: #d1ddeb;
      /* opacity: 0.7;
      filter: alpha(Opacity=70);*/ 
    }
    .maindiv1 {
      -webkit-box-sizing: border-box; /* Нужно для мобильного WebKit */
      -moz-box-sizing: border-box; /* Нужно для Firefox */
      box-sizing: border-box;
      height: 563px;
      width: 350px;
      padding: 2.2em 2.8125em;
      background: none;
      /*background-color: #fff;*/
      border: 1px solid rgb(120, 120, 120);
      border-radius: 0;
      margin: -300px 0 0 -150px !important;
    }
    .form-horizontal .controls {
      margin: 0 0 1rem 0;
    }
    .form-horizontal .control-label {
      width: 100%;
      padding-top: 5px;
      font-size: 1.3125rem;
      line-height: 1.7;
      letter-spacing: -0.1rem;
      font-family: sans-serif;
      font-weight: 400;
      text-transform: uppercase;
      color: #ffffff;
    }
    .text-center {
      text-align: center !important;
    }
    input[type="text"], input[type="password"],
    select[type="text"] {
      font-family: sans-serif;
      font-size: 1.125rem;
      color: #aaaaaa;
      background-color: #fff; /*#f5f5f2;*/
      padding: 0.75em 1em;
      border: 1px solid rgb(120, 120, 120);
      box-shadow: none;
      border-radius: 5px;
      height: auto;
      margin: 0;
      width: 100%;
    }
    input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus input:-webkit-autofill, textarea:-webkit-autofill, textarea:-webkit-autofill:hover textarea:-webkit-autofill:focus, select:-webkit-autofill, select:-webkit-autofill:hover, select:-webkit-autofill:focus {
      -webkit-box-shadow: 0 0 0px 1000px #ECEFF1 inset;
      transition: background-color 5000s ease-in-out 0s;
    }
    #j_domain {
      height: 2.3125rem;
      width: 100%;
    }
    .btn {
      width: 49% !important;
      font-family: sans-serif;
      font-size: 1.125rem;
      padding: 0.6em 1em;
      margin: 0.75rem 0 1rem 0;
      font-weight: 700;
      text-transform: uppercase;
      color: rgb(120, 120, 120);
      background: none;
      background-color: #fff;
      border: 1px solid rgb(120, 120, 120);
    }
    .btn:hover, .btn:focus {
      background-color: #eaeaea;
      color: rgb(120, 120, 120);
    }
    .floatLeft {
      float; left;
    }
    .floatRight {
      float; right;
    }
    .btn-info {
      width: 100%;
    }
    img.logo {
      width: 100%;
      padding-bottom: 2.2em;
    }
    .loginButtons {
      margin: 0 0 1rem 0;
    }
    a.link {
      font-family: sans-serif;
      font-size: 1.125rem;
      padding-top: 0.25rem;
      font-weight: 700;
      /*text-transform: uppercase;*/
      color: rgb(120, 120, 120);
      background: none;
      border: none;
      display: block;
    }
    a.link:hover,
    a.link:visited,
    a.link:focus,
    a.link:active {
      text-decoration: none;
	  color: rgba(120, 120, 120, 0.6) !important;
    }
    a.link:hover {
      color: blue;
    }
  </style>
  <script type="text/javascript">
      var djConfig = {
          parseOnLoad: false,
          isDebug: false
      };
  </script>  
	<script src="js/dojo/dojo.js"></script>
  <script language="javascript">
		function doPopup(popupPath) {
		window.open(popupPath,'name',
		'width=600,height=400,scrollbars=YES');
		}
	</script>
	
<script type="text/javascript">

	function checkAuthenticationImageSize() {
		var pic = document.getElementById("authenticationImage");
		var w = pic.offsetWidth;  
		
		if (w == 178) {	
			if (document.getElementById('helloMessage')) 
		 		dojo.attr("helloMessage", "innerHTML", "");
			if (document.getElementById('informationMessage')) 
				dojo.attr("informationMessage", "innerHTML", "Идет проверка подлинности пользователя...<br>Пожалуйста подождите...");
			id = setTimeout("checkIsAuthenticatedSession()",1000);
		}
		else {			
		    document.formlogin.style.display = "";
		    document.getElementById("j_username").focus();
		}
	}
	
	function checkIsAuthenticatedSession() {
		dojo.xhrGet({
			sync: true,
			url: "<%=request.getContextPath()%>/auth/isAuthenticatedServlet?sesid=<%=request.getSession().getId()%>",
			handleAs: "json",
			preventCache: true,
			timeout: 10000,
			load: function(data) {
				document.getElementsByName("j_username")[0].value = data.login;
				document.getElementsByName("j_password")[0].value = data.pwd;
				document.formlogin.submit();
			},
			error: function(error) {
				alert("Ошибка соединения с сервером аутентификации.");
			}
		});
	}
</script>
</head>
<body onLoad="checkAuthenticationImageSize()">
<%
	String authGifSrc = String.format("%s/authentication.gif?sesid=%s",
			SecurityParamsFactory.getAuthServerUrl(), request.getSession()
					.getId());

    authGifSrc = SecurityParamsFactory.correctAuthGifSrcRequestInCaseOfInaccessibility(authGifSrc);
%>
	<span id="informationMessage" style="font-family: sans-serif;"></span>
	<form class="form-horizontal" name="formlogin" method="POST" action="<c:url value="/j_spring_security_check" />" style="display:none">
		<div class="maindiv1 text-center">
			<img class="center logo" src="resources/login_content/logo.png">
			<div class="control-group">
				<!--<label class="control-label text-center" for="j_username">USER LOGIN</label>-->
				
				<div class="controls">
					<input id="j_username" type="text" name="j_username" placeholder="login">
				</div>
				<div class="controls">
					<input id="j_password" type="password" name="j_password" placeholder="password">
				</div>
<!--        <div class="controls">
					<%=SecurityParamsFactory.getHTMLTextForPrividerGroupsComboBoxSecector(authGifSrc)%>
				</div>-->
        <div class="loginButtons">
          <input class="btn floatLeft" type="submit" value="Войти"/>
          <input class="btn floatRight" type="reset" value="Сбросить" />
        </div>
			</div>
		</div>
	</form>

	<c:if test="${param.error}">
		<div id="accessDenied">
			<form action="">
				<div class="modal" id="myModal" tabindex="-1">
					<div class="modal-header">
						<button class="close" value="false" name="error">×</button>
						<h3 id="myModalLabel" style="color:red;">Отказано в доступе</h3>
					</div>
					<div class="modal-body">
						<div class="alert alert-error">
							<p>Имя пользователя и/или пароль неверны!</p>
						</div>
						<div class="alert alert-error">
							<p>Ответ сервера: ${sessionScope["SPRING_SECURITY_LAST_EXCEPTION"].message} </p>
						</div>
					</div>
					<div class="modal-footer">
						<a href="." class="btn btn-danger">Закрыть</a>
					</div>
				</div>
			</form>
		</div>
	</c:if>

	<div id="credentials" style="display: table; position: absolute; bottom: 30px; right: 30px;">
<!--		<div style="display: table-cell; vertical-align: bottom;">
			E-mail: support-sdo@ranepa.ru
		</div>-->
	</div>
<img src="<%=authGifSrc%>" alt=" " id="authenticationImage" style="visibility:hidden" />

</body>
</html>
